---
title: RTCIceCandidatePairStats.circuitBreakerTriggerCount
slug: Web/API/RTCIceCandidatePairStats/circuitBreakerTriggerCount
tags:
  - API
  - Circuit-Breaker
  - Connection
  - Property
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - circuitBreakerTriggerCount
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>circuitBreakerTriggerCount</code></strong> indicates the number of times the circuit-breaker has been triggered to indicate a connection timeout or other unexpected connection abort on this specific connection configuration.</span></p>

<p>A circuit breaker trigger is fired each time the connection times out or otherwise needs to be halted automatically.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>cbtCount</em> = <em>rtcIceCandidatePairStats</em>.circuitBreakerTriggerCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the number of times the circuit-breaker has been triggered for the 5-tuple used by this connection. A 5-tuple defining a TCP connection is made up of the following data:</p>

<ul>
 <li>The source IP address.</li>
 <li>The source port number.</li>
 <li>The destination IP address.</li>
 <li>The destination port number.</li>
 <li>Network protocol.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-circuitbreakertriggercount', 'RTCIceCandidatePairStats.circuitBreakerTriggerCount') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.circuitBreakerTriggerCount")}}</p>
